Page MenuHomePhabricator

Add HD logos for hewikiquote
Closed, ResolvedPublic

Description

Hello, I'm asking to update the logo of Hebrew Wikiquote with the SVG version of the logo so readers with Retina or high resolution display won't see a pixel logo.

You may find the following task helpful T145017.

Thanks.

Event Timeline

Sokuya created this task.Jul 24 2018, 9:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 24 2018, 9:42 PM
Sokuya updated the task description. (Show Details)Jul 24 2018, 9:49 PM
Urbanecm claimed this task.Jul 25 2018, 7:09 AM
Urbanecm triaged this task as Medium priority.
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJul 25 2018, 7:09 AM

Change 448013 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Upload HD logos for hdwikiquote

https://gerrit.wikimedia.org/r/448013

Change 448014 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Use HD logos in hewikiquote

https://gerrit.wikimedia.org/r/448014

Change 448013 merged by jenkins-bot:
[operations/mediawiki-config@master] Upload HD logos for hewikiquote

https://gerrit.wikimedia.org/r/448013

Mentioned in SAL (#wikimedia-operations) [2018-07-26T11:45:29Z] <zfilipin@deploy1001> Synchronized static/images/project-logos: SWAT: [[gerrit:448013|Upload HD logos for hewikiquote (T200296)]] (duration: 00m 54s)

Change 448014 merged by jenkins-bot:
[operations/mediawiki-config@master] Use HD logos in hewikiquote

https://gerrit.wikimedia.org/r/448014

Urbanecm renamed this task from SVG logo update for Wikiquote to Add HD logos for hewikiquote.Jul 26 2018, 11:50 AM
Urbanecm moved this task from Backlog to To deploy - scheduled for SWAT on the User-Urbanecm board.
zfilipin@mwmaint1001:~$ echo "https://en.wikipedia.org/static/images/project-logos/hewikiquote-1.5x.png" | mwscript purgeList.php
Purging 1 urls
Done!

zfilipin@mwmaint1001:~$ echo "https://en.wikipedia.org/static/images/project-logos/hewikiquote-2x.png" | mwscript purgeList.php
Purging 1 urls
Done!

Mentioned in SAL (#wikimedia-operations) [2018-07-26T11:56:26Z] <zfilipin@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:448014|Use HD logos in hewikiquote (T200296)]] (duration: 00m 52s)

Urbanecm closed this task as Resolved.Jul 26 2018, 12:32 PM

Deployed.

Sokuya reopened this task as Open.Jul 26 2018, 9:12 PM

Thank for the update!

One user reporting that the logo haven't updated for him. He still sees the old one (png).
I believe its because we haven't updated the low resolution logo. He is using a normal display.

See, there is different in style between the png file and the svg file of the logo, I would appreciate if you could update the logo so that users on low resolution displays will see the updated logo.

See the differences:
Old png:


New SVG:

Sorry for the inconvenient.

Ehh... Ok, will do.

Change 448154 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Update hewikiquote logo

https://gerrit.wikimedia.org/r/448154

Hello, this patch will be deployed tomorrow between 11:00 and 12:00 UTC.

Change 448154 merged by jenkins-bot:
[operations/mediawiki-config@master] Update hewikiquote logo

https://gerrit.wikimedia.org/r/448154

Mentioned in SAL (#wikimedia-operations) [2018-07-31T11:10:05Z] <zfilipin@deploy1001> Synchronized static/images/project-logos/hewikiquote.png: SWAT: [[gerrit:448154|Update hewikiquote logo (T200296)]] (duration: 00m 50s)

zfilipin@mwmaint1001:~$ echo "https://en.wikipedia.org/static/images/project-logos/hewikiquote.png" | mwscript purgeList.php
Purging 1 urls
Done!
Urbanecm closed this task as Resolved.Jul 31 2018, 11:39 AM

Deployed. Should it be broken, please reopen&comment.